/*
 * This file is part of SuperLib, which is an AI Library for OpenTTD
 * Copyright (C) 2010  Leif Linse
 *
 * SuperLib is free software; you can redistribute it and/or modify it 
 * under the terms of the GNU General Public License as published by
 * the Free Software Foundation; version 2 of the License
 *
 * SuperLib is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with SuperLib; If not, see <http://www.gnu.org/licenses/> or
 * write to the Free Software Foundation, Inc., 51 Franklin Street, 
 * Fifth Floor, Boston, MA 02110-1301 USA.
 *
 */

/* Open each sub-library file to find the interface documentation */

require("helper.nut");
require("tile.nut");
require("direction.nut");

class SuperLib
{
	static Helper = _SuperLib_Helper();
	static Tile = _SuperLib_Tile();
	static Direction = _SuperLib_Direction();
}

/* Q: How to use the sub libraries without the SuperLib prefix?
 *
 * A: Import the library under a name, eg SuperLib and then make global 
 *    pointers to those sub-libraries that you want to use:
 *
 *    Import("util.superlib", "SuperLib", 1);
 *
 *    Helper <- SuperLib.Helper;
 *    Direction <- SuperLib.Direction;
 *    Tile <- SuperLib.Tile;
 */


